<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup Label="UserMacros">
    <seeVsVersion Condition="'$(VisualStudioVersion)'=='12.0'">vs2013</seeVsVersion>
    <seeVsVersion Condition="'$(VisualStudioVersion)'=='14.0'">vs2015</seeVsVersion>
    <seeVsVersion Condition="'$(VisualStudioVersion)'=='15.0'">vs2017</seeVsVersion>
    <seeVsVersion Condition="'$(VisualStudioVersion)'=='16.0'">vs2019</seeVsVersion>
    <seeVsVersion Condition="'$(VisualStudioVersion)'=='17.0'">vs2022</seeVsVersion>
    <seeVsVersion Condition="'$(seeVsVersion)'==''">vs20XX</seeVsVersion>

    <seePlatform Condition="'$(Platform)'=='Win32'">x86</seePlatform>
    <seePlatform Condition="'$(Platform)'=='x86'">x86</seePlatform>
    <seePlatform Condition="'$(Platform)'=='x64'">x64</seePlatform>
    <seePlatform Condition="'$(seePlatform)'==''">$(Platform)</seePlatform>

    <seeOutFolderName>$(seeVsVersion)_$(seePlatform)</seeOutFolderName>
    <seeBinFolderName Condition="'$(seePlatform)'=='x86'">Bin.$(seeVsVersion)</seeBinFolderName>
    <seeBinFolderName Condition="'$(seePlatform)'!='x86'">Bin.$(seeVsVersion).$(seePlatform)</seeBinFolderName>
  </PropertyGroup>
</Project>